Package org.apache.cxf.common.jaxb

# Interface JAXBUtils.S2JJAXBModel

Enclosing class:
  JAXBUtils

public static interface JAXBUtils.S2JJAXBModel

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JAXBUtils.JCodeModel`
  `generateCode(Object object, Object elForRun)`
  `JAXBUtils.Mapping`
  `get(QName qn)`
  `JAXBUtils.TypeAndAnnotation`
  `getJavaType(QName typeQName)`

- ## Method Details

  - ### generateCode

    JAXBUtils.JCodeModel generateCode(Object object, Object elForRun)

  - ### get

    JAXBUtils.Mapping get(QName qn)

  - ### getJavaType

    JAXBUtils.TypeAndAnnotation getJavaType(QName typeQName)